QGIS Application - Bug report #14992
composer : data defined control over map layer do not work if a layer is filtered.
2016-06-10 01:20 AM - Alain FERRATON

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Unknown

Affected QGIS version:2.14.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 22939
Description

the new feature of QGIS 2.12
https://www.qgis.org/en/site/forusers/visualchangelog212/#feature-data-defined-control-over-map-layers-and-style-presets

do not work if a layer is filtered

History

#1 - 2016-06-10 02:23 AM - Nyall Dawson

What do you mean by "filtered"?

#2 - 2016-06-10 02:51 AM - Alain FERRATON

sorry, for my bad english.

Layer Menu -> Filter...

#3 - 2016-06-13 10:24 PM - Nyall Dawson
- Status changed from Open to Feedback

| need more details - | can't reproduce. Are you referring to the data defined layers or data defined style preset?

Style presets don't save layer subsets, maybe that's what you're seeing?

#4 - 2016-06-15 01:23 AM - Alain FERRATON

sorry, | made a mistake.
the feature works correctly.

A proposal for a new feature:
allow filtering on the features of the layer in the control in mapcomposer with an expression

Namelayer | subset = ...

thanks

#5 - 2016-06-15 03:30 AM - Nyall Dawson
https://www.qgis.org/en/site/forusers/visualchangelog212/#feature-data-defined-control-over-map-layers-and-style-presets

- Status changed from Feedback to Closed
- Resolution set to invalid

No problem! Can you file the request in a new ticket (it's a good idea btw)

#6 - 2017-09-22 10:05 AM - Jiirgen Fischer
- Category set to Unknown
